%define upstream_name    Email-Reply
%define upstream_version 1.204

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Reply to a Message
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Email::Abstract) >= 2.10.0
BuildRequires: perl(Email::Address) >= 1.800.0
BuildRequires: perl(Email::MIME) >= 1.820.0
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This software takes the hard out of generating replies to email messages.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Email
%{_mandir}/*/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.204.0-5.mga9
+ Revision: 1803444
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.204.0-4.mga8
+ Revision: 1494432
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.204.0-3.mga7
+ Revision: 1267848
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.204.0-2.mga6
+ Revision: 1026910
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.204.0-1.mga6
+ Revision: 1001898
- update to 1.204

* Tue Feb 02 2016 umeabot <umeabot> 1.203.0-5.mga6
+ Revision: 932221
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.203.0-4.mga5
+ Revision: 744976
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.203.0-3.mga5
+ Revision: 684626
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.203.0-2.mga4
+ Revision: 532284
- Mageia 4 Mass Rebuild

* Mon Aug 19 2013 sander85 <sander85> 1.203.0-1.mga4
+ Revision: 467738
- update to 1.203

* Sun Jan 13 2013 umeabot <umeabot> 1.202.0-2.mga3
+ Revision: 366834
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 1.202.0-1.mga1
+ Revision: 33740
- mageia rebuild
- imported package perl-Email-Reply


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.202.0-1mdv2010.0
+ Revision: 403158
- rebuild using %%perl_convert_version

* Wed Oct 01 2008 Oden Eriksson <oeriksson@mandriva.com> 1.20.2-4mdv2009.0
+ Revision: 290409
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.20.2-1mdv2008.0
+ Revision: 56076
- update to new version 1.20.2


* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.20.1-1mdv2007.1
+ Revision: 138830
- new version

* Sun Jan 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.20.0-1mdv2007.1
+ Revision: 111591
- fix build dependencies
- fix build dependencies
- fix build dependencies
- fix build dependencies
- Import perl-Email-Reply

* Sun Jan 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.20.0-1mdv2007.1
- first mdv release

